For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • GETGet an entity's payment methods
      • PUTEnable payment methods for an entity
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsPayment methods

Enable payment methods for an entity

PUT
/entities/:entity_id/payment_methods
PUT
/v1/entities/:entity_id/payment_methods
$curl -X PUT https://api.sandbox.monite.com/v1/entities/entity_id/payment_methods \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "payment_methods_receive": [
> "card",
> "sepa_credit",
> "sepa_debit"
> ],
> "payment_methods_send": [
> "sepa_credit"
> ]
>}'
1{
2 "data": [
3 {
4 "direction": "receive",
5 "name": "SEPA Payments",
6 "status": "active",
7 "type": "sepa_credit"
8 }
9 ]
10}
Sets or updates the list of payment methods available to an entity to send and receive payments. [Payment links](https://docs.monite.com/docs/payment-links) created by this entity can use only the specified payment methods. Supported payment methods [vary by country](https://docs.monite.com/payments/payment-methods). Some payment methods require that the entity completes the [onboarding process](https://docs.monite.com/payments/onboarding/index). These payment methods are indicated by the `inactive` status in the response and will become `active` after successful onboarding. The specified list of payment methods replaces the previous methods chosen by the entity. Removed payment methods become inactive and can no longer be used in payment links.
Was this page helpful?
Previous

Get payment records

Next
Built with

Sets or updates the list of payment methods available to an entity to send and receive payments. Payment links created by this entity can use only the specified payment methods. Supported payment methods vary by country.

Some payment methods require that the entity completes the onboarding process. These payment methods are indicated by the inactive status in the response and will become active after successful onboarding.

The specified list of payment methods replaces the previous methods chosen by the entity. Removed payment methods become inactive and can no longer be used in payment links.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired
ID of the entity to update the payment methods for.

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
payment_methods_receivelist of enumsOptional
Payment methods to receive money from customers. Supported payment methods [vary per country](https://docs.monite.com/payments/payment-methods). `card` includes card payments, Apple Pay, and Google Pay. The values `applepay` and `googlepay` are deprecated and unused. `sofort` is deprecated and replaced by `klarna`.
payment_methods_sendlist of enumsOptional

Only for entities in the EU and UK. Payment methods used to make payments to vendors.

Currently only sepa_credit is supported for making payments.

payment_methodslist of enumsOptionalDeprecated

Deprecated. Replaced by payment_methods_receive.

Response

Successful Response
datalist of objects

Errors

401
Put Entities ID Payment Methods Request Unauthorized Error
422
Put Entities ID Payment Methods Request Unprocessable Entity Error
429
Put Entities ID Payment Methods Request Too Many Requests Error

Payment methods to receive money from customers. Supported payment methods vary per country.

card includes card payments, Apple Pay, and Google Pay. The values applepay and googlepay are deprecated and unused.

sofort is deprecated and replaced by klarna.